/**
 * open-software-base-explorer -- Part of codegouv project - generates static HTML files from YAML data
 * By: Marine Gout <marine.gout@data.gouv.fr>
 *     Emmanuel Raviart <emmanuel.raviart@data.gouv.fr>
 *     Guillaume Royer <guillaume.royer@data.gouv.fr>
 *
 * Copyright (C) 2015 Etalab
 * https://git.framasoft.org/codegouv/open-software-base-explorer
 *
 * open-software-base-explorer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * open-software-base-explorer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http:>www.gnu.org/licenses/>.
 */

@import "variables";

// Dependencies injected by wiredep, never manually edit this block.
// bower:scss
@import "../../../bower_components/bootstrap-sass/assets/stylesheets/_bootstrap.scss";
@import "../../../bower_components/font-awesome/scss/font-awesome.scss";
// endbower
// bower:css
@import "../../../bower_components/selectize/dist/css/selectize.bootstrap3.css";
// endbower

a {
  transition: color .4s;
}

.header {
  padding-top: 10px;
}

.navbar {
  box-shadow: 1px 4px 7px 2px rgba(0,0,0,.3);
}

.template-index {
  .index-line {
    @include make-row();
    .index-letter {
      @include make-md-column(1);
    }

    .index-list {
      @include make-md-column(11);
      .col-md-4 {
        margin-bottom: 20px;
      }
    }

    a {
      &:hover {
        .img-box {
          left: $grid-gutter-width / 2;
          right: $grid-gutter-width /2;
        }
      }
      .img-box {
        background-color: $gray-lighter;
        position: absolute;
        top: 0;
        left: $grid-gutter-width;
        right: $grid-gutter-width;
        bottom: 0;
        overflow: hidden;
        transition: left 0.3s, right 0.3s;
        & > img {
          vertical-align: baseline;
        }
      }

      .program-name {
        display: block;
        background-color: rgba(0,0,0,0.7);
        position: relative;
        z-index: 1;
        margin: 40px;
        padding: 5px;
        text-align: center;
        color: #fff;
      }
    }
  }
}

.template-program .content {
  section.description {
    @include make-md-column(8);
    .title-box {
      position: relative;

      & > .img-box {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        overflow: hidden;
        & > img {
          vertical-align: baseline;
        }
      }

      & > .headline-box {
        background-color: rgba(0,0,0,0.7);
        position: relative;
        z-index: 1;
        & > h1 {
          margin: 0;
          margin-left: 10px;
          padding: 0.67em 0;
          color: #fff;
          font-size: 4em;
        }
        & > p {
          position: absolute;
          bottom: 10px;
          right: 10px;
          & > a {
            color: #fff;
          };
        }
      }
    }
  }

  section.discussion {
    @include make-md-column(12);
  }

  section.data {
    @include make-md-column(4);
    background-color: $gray-lighter;
    & > #jsonTree {
      padding: 10px;
      overflow: auto;
      background-color: #fff;
      margin-bottom: 10px;
      * {
        z-index: 1;
      }
    }
  }
}
